XNewRmic (Apache Ant API)
Date: 2018-09-11

Package org.apache.tools.ant.taskdefs.rmic

## Class XNewRmic

- java.lang.Object
- - org.apache.tools.ant.taskdefs.rmic.DefaultRmicAdapter
  - - org.apache.tools.ant.taskdefs.rmic.ForkingSunRmic
    - - org.apache.tools.ant.taskdefs.rmic.XNewRmic

- All Implemented Interfaces:
    `RmicAdapter`

      public class XNewRmic
      extends ForkingSunRmic

  Run rmic in a new process with -Xnew set. This switches rmic to use a new compiler, one that doesn't work in-process on ant on java1.6. see: http://issues.apache.org/bugzilla/show_bug.cgi?id=38732

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `COMPILER_NAME` | the name of this adapter for users to select

    - ### Fields inherited from class org.apache.tools.ant.taskdefs.rmic.DefaultRmicAdapter

      `RMI_SKEL_SUFFIX, RMI_STUB_SUFFIX, RMI_TIE_SUFFIX, STUB_1_1, STUB_1_2, STUB_COMPAT, STUB_OPTION_1_1, STUB_OPTION_1_2, STUB_OPTION_COMPAT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XNewRmic()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Commandline` | `setupRmicCommand()` | Create a normal command line, then with -Xnew at the front

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.rmic.DefaultRmicAdapter

      `addStubVersionOptions, filterJvmCompilerArgs, getClasspath, getCompileClasspath, getMapper, getRmic, getSkelClassSuffix, getStubClassSuffix, getTieClassSuffix, logAndAddFilesToCompile, preprocessCompilerArgs, setRmic, setupRmicCommand`

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.rmic.ForkingSunRmic

      `areIiopAndIdlSupported, execute, getExecutableName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPILER_NAME

          public static final java.lang.String COMPILER_NAME

      the name of this adapter for users to select
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XNewRmic

          public XNewRmic()

  - ### Method Detail

    - #### setupRmicCommand

          protected Commandline setupRmicCommand()

      Create a normal command line, then with -Xnew at the front
      Overrides:
        `setupRmicCommand` in class `DefaultRmicAdapter`
      Returns:
        a command line that hands off to thw